// CrossWorks Tutorial

#include <cross_studio_io.h>

void factorial(int);

int main(void)
{
  int i;
  for (i = 0; i < 10; ++i)
    debug_printf("Factorial of %d is %d\n", i, factorial(i));
  return 0;
}

